## python-blockbuster 1.5.25

=== debian/changelog ===
python-blockbuster (1.5.25-2) unstable; urgency=medium

  * Mark python3-blockbuster as Multi-Arch: foreign.

 -- Colin Watson <cjwatson@debian.org>  Sun, 02 Nov 2025 21:02:43 +0000

python-blockbuster (1.5.25-1) unstable; urgency=medium

  * Initial release (closes: #1110998).

 -- Colin Watson <cjwatson@debian.org>  Sat, 18 Oct 2025 22:32:05 +0100
