=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME := blockbuster
ifeq ($(PYBUILD_AUTOPKGTEST),1)
export https_proxy :=
else
# Skip test that involves talking to the internet.
export PYBUILD_TEST_ARGS := --deselect tests/test_blockbuster.py::test_ssl_socket
endif

%:
	dh $@ --buildsystem=pybuild
