## python-blockbuster 1.5.26

=== debian/changelog ===
python-blockbuster (1.5.26-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 08 Dec 2025 12:19:02 +0000
